Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Can't link with PTlink 6  (Read 4439 times)

0 Members and 1 Guest are viewing this topic.

rikatz

  • Guest
Can't link with PTlink 6
« on: April 14, 2006, 08:06:52 AM »

Hello:

I'm trying to link Anope 1.6.4 with PTLink 6 and I'm getting the following error:

 *** Notice -- Services connected
* *** Notice -- Link with Services.LinuxAjuda.org[unknown@255.255.255.255] established: (TS) link
* *** Notice -- Link Services.LinuxAjuda.org[unknown@127.0.0.1] dropped, incompatible TS protocol version (3,6)
* *** Notice -- Services DOWN or network split
* *** Notice -- Services.LinuxAjuda.org was connected for 1 seconds.  0/1 sendK/recvK.
* *** Notice -- Server Services.LinuxAjuda.org split from irc.linuxajuda.org

And there is my ircd.conf:
H:*::Services.LinuxAjuda.org
U:Services.LinuxAjuda.org
C:127.0.0.1:pass:Services.LinuxAjuda.org:6667:51
N:127.0.0.1:pass:Services.LinuxAjuda.org::51

May someone help me?

Thanks :D

[Edited on 14-4-2006 by rikatz]
Logged

Trystan Scott Lee

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 343
(No subject)
« Reply #1 on: April 14, 2006, 01:59:16 PM »

PTlink 6 what? open src/protocol/ptlink.h and read

/*
   The following variables are set to define the TS protocol version
   that we support.

   PTLink 6.14 to 6.17  TS CURRENT is 6  and MIN is 3
   PTlink 6.18          TS CURRENT is 9  and MIN is 3
   PTLink 6.19       TS CURRENT is 10 and MIN is 9

   If you are running 6.18 or 6.19 do not touch these values as they will
   allow you to connect

   If you are running an older version of PTLink, first think about updating
   your ircd, or changing the TS_CURRENT to 6 to allow services to connect
*/

#define PTLINK_TS_CURRENT 9
#define PTLINK_TS_MIN 3
Logged
my God my tourniquet, return to me salvation

rikatz

  • Guest
ptlink version
« Reply #2 on: April 14, 2006, 07:42:02 PM »

Sorry, i've forgot...

My PTLink version is 6.19.5

And there isn't this archive (source/src/protocol/ptlink.h)

Thanks
Logged

Trystan Scott Lee

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 343
(No subject)
« Reply #3 on: April 15, 2006, 07:43:22 AM »

update to 1.7.x and forget the 1.6.x branch if you want real support for ptlink
Logged
my God my tourniquet, return to me salvation
Pages: [1]   Go Up